Description: Bonjour!

Je utilise AMC depuis preque 10 ans.
C'est merveilleux! Merci!

Au jour d'hui j'ai trouvé un probléme en essayante d'envoyer aux eléves les messages avec la correction de |2

preuve: il semble que Google a changé sa politique et il est impossible d'utiliser les "app moins sure".

On a resolu ce probléeme pour maintenant.

Mais il serait trés joli dans une nouvelle version du logicien AMC d'avoir le oauth2 pour accéder aux comptes

google.

Merci encore
Cordialement
Alessandro

History

06/23/2025 09:42 pm - Alexis Bienveniie
- Tracker changed from Bug to Feature

06/23/2025 09:42 pm - Alexis Bienveniie
Est-ce que I'utilisation d'un "mot de passe d'application" de google permet d'utiliser SMTPS ou cela a été aussi désactivé ?
https://support.google.com/accounts/answer/185833

06/24/2025 08:31 am - Alessandro Ghigi
- File Screenshot_From_2025-06-24_08-28-01.png added

Alexis Bienvenie wrote:
> Est-ce que I'utilisation d'un "mot de passe d'application" de google permet d'utiliser SMTPS ou cela a été aussi désactivé ?

> https://support.google.com/accounts/answer/185833

Mon compte appartient a ma universté.
Et le "mot de passe d'application" ne marche pas pour mon compte (voir la capture d'ecran).
Merci

06/24/2025 08:19 pm - Alexis Bienveniie
> Et le "mot de passe d'application" ne marche pas pour mon compte (voir la capture d'ecran).
La validation en deux étapes est-elle activée pour votre compte ? C'est nécessaire pour utiliser les mots de passe d'application.

06/24/2025 08:26 pm - Alexis Bienveniie

Effectivement, pour des comptes d'organisations, les mots de passe d'application peuvent étre désactivés.

L'authentification par OAuth2 semble compliquée a mettre en ceuvre et comme je n'ai pas de compte google pour faire des tests, je crains de ne pas

pouvoir l'intégrer a AMC.
06/27/2025 10:50 am - Alessandro Ghigi

Bonjour!

Je comprend trés bien.

Vous avez raison.

C'est un probleme de google e de ceux qui s'appuye sur google.

Merci encore pour votre extraordinaire logiciel!

06/27/2025 11:30 am - Alexis Bienveniie

Avec votre compte d'organisation, pouvez-vous effectuer les actions mentionnées dans les lignes 133 a 144 de ce fichier et obtenir un fichier
@client_secret_*.json@ ?

https://github.com/Veltro-pm/perl-gmail-oauth2/blob/7{3f1c914e4dc036¢cbb042f61dd5b9e45959c098/final.pl#L133

06/28/2025 02:18 pm - Alessandro Ghigi
Je n'y arrive pas.
Peut-etre il n'est pas possible avec mon compte.

Peut-etre je ne suis pas assez expert.

De toute facon j'ai trouvé une autre solution plus directe avec le gens de mon université.

Donc pour le moment ca marche.

Je crois que les autres solutions possible sont trop difficiles pour moi maintenant.

Merci beaucoup quand’'meme!

06/28/2025 02:44 pm - Alexis Bienveniie
- Status changed from New to WontFix

Merci pour votre retour. C'est pour l'instant la seule possibilité que je voyais pour utiliser OAuth2.
Je suis heureux que vous ayez trouvé une autre solution.

Si jamais quelqu'un passe par la et souhaite fonctionner a partir d'un fichier @client_secret_*.json@, on pourra relancer la discussion.
